{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.TEST"
  },
  "caption" : "测试focus",
  "codeName" : "TESTUsr06136528GridView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr06136528GridView.json",
  "gridRowActiveMode" : 2,
  "name" : "TESTUsr06136528GridView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "GridView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr05062284EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr05062284EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr05062284EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr05062284EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "EDITDATA",
    "realTitle" : "测试实体编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.TEST.USR05062284EDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr05062284EditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "NEWDATA",
    "realTitle" : "测试实体编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.TEST.USR05062284EDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr05062284EditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr06136528GridViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "测试focus_工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "xDataControlName" : "grid",
    "modelid" : "F7AA75A1-EA21-429C-8AE4-1237827CCB47",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "aggMode" : "NONE",
    "codeName" : "Usr06136528GridView_Grid",
    "columnEnableFilter" : 2,
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "getCreatePSControlAction" : {
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSGRIDS/Usr06136528GridView_Grid.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetDraftPSControlAction" : {
      "actionName" : "GetDraft",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraft",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "GetDraft"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetPSControlAction" : {
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "groupMode" : "NONE",
    "logicName" : "测试focus_表格",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEDataImport" : {
      "modelref" : true,
      "id" : "DataImport"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.TESTNAME"
      },
      "caption" : "测试实体名称",
      "codeName" : "testname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "testname",
      "excelCaption" : "测试实体名称",
      "name" : "testname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEMAN"
      },
      "caption" : "更新人",
      "codeName" : "updateman",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updateman",
      "excelCaption" : "更新人",
      "name" : "updateman",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEDATE"
      },
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updatedate",
      "excelCaption" : "更新时间",
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.AMOUNT"
      },
      "caption" : "金额",
      "codeName" : "amount",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "amount",
      "excelCaption" : "金额",
      "name" : "amount",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "AMOUNT",
        "codeName" : "Amount"
      },
      "unitName" : "元",
      "valueFormat" : "#.##",
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true,
      "enableUnitName" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD8"
      },
      "caption" : "属性8",
      "codeName" : "field8",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field8",
      "excelCaption" : "属性8",
      "name" : "field8",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD8",
        "codeName" : "Field8"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.SPECIAL"
      },
      "caption" : "特殊属性（勿用）",
      "codeName" : "special",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "special",
      "excelCaption" : "特殊属性（勿用）",
      "memo" : "测试属性（name和codeName不一致）",
      "name" : "special",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "SPECIAL",
        "codeName" : "Particular"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD11"
      },
      "caption" : "属性11",
      "codeName" : "field11",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field11",
      "excelCaption" : "属性11",
      "name" : "field11",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD11",
        "codeName" : "Field11"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD16"
      },
      "caption" : "属性16",
      "codeName" : "field16",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field16",
      "excelCaption" : "属性16",
      "name" : "field16",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD16",
        "codeName" : "FIELD16"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD18"
      },
      "caption" : "属性18",
      "codeName" : "field18",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field18",
      "excelCaption" : "属性18",
      "name" : "field18",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD18",
        "codeName" : "FIELD18"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD23"
      },
      "caption" : "属性23",
      "codeName" : "field23",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field23",
      "excelCaption" : "属性23",
      "name" : "field23",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD23",
        "codeName" : "FIELD23"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.TEST.FIELD"
      },
      "caption" : "属性",
      "codeName" : "field",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field",
      "excelCaption" : "属性",
      "name" : "field",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.ENABLE"
      },
      "caption" : "逻辑有效标志",
      "codeName" : "enable",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "enable",
      "excelCaption" : "逻辑有效标志",
      "name" : "enable",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ENABLE",
        "codeName" : "Enable"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FLOAT"
      },
      "caption" : "浮点数",
      "codeName" : "float",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "float",
      "excelCaption" : "浮点数",
      "name" : "float",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FLOAT",
        "codeName" : "Float"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD21"
      },
      "caption" : "属性21",
      "codeName" : "field21",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field21",
      "excelCaption" : "属性21",
      "name" : "field21",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD21",
        "codeName" : "FIELD21"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD12"
      },
      "caption" : "属性12",
      "codeName" : "field12",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field12",
      "excelCaption" : "属性12",
      "name" : "field12",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD12",
        "codeName" : "Field12"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD24"
      },
      "caption" : "属性24",
      "codeName" : "field24",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field24",
      "excelCaption" : "属性24",
      "name" : "field24",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD24",
        "codeName" : "FIELD24"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD13"
      },
      "caption" : "属性13",
      "codeName" : "field13",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field13",
      "excelCaption" : "属性13",
      "name" : "field13",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD13",
        "codeName" : "FIELD13"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.ORDER"
      },
      "caption" : "排序属性",
      "codeName" : "order",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "order",
      "excelCaption" : "排序属性",
      "name" : "order",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ORDER",
        "codeName" : "Order"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.CREATEDATE"
      },
      "caption" : "建立时间",
      "codeName" : "createdate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "createdate",
      "excelCaption" : "建立时间",
      "name" : "createdate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.TESTID"
      },
      "caption" : "测试实体标识",
      "codeName" : "testid",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "testid",
      "excelCaption" : "测试实体标识",
      "name" : "testid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.NUMBER2"
      },
      "caption" : "数值2",
      "codeName" : "number2",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "number2",
      "excelCaption" : "数值2",
      "name" : "number2",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "NUMBER2",
        "codeName" : "Number2"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD4"
      },
      "caption" : "属性4",
      "codeName" : "field4",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field4",
      "excelCaption" : "属性4",
      "name" : "field4",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD4",
        "codeName" : "Field4"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD20"
      },
      "caption" : "属性20",
      "codeName" : "field20",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field20",
      "excelCaption" : "属性20",
      "name" : "field20",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD20",
        "codeName" : "FIELD20"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD10"
      },
      "caption" : "属性10",
      "codeName" : "field10",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field10",
      "excelCaption" : "属性10",
      "name" : "field10",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD10",
        "codeName" : "Field10"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.CREATEMAN"
      },
      "caption" : "建立人",
      "codeName" : "createman",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "createman",
      "excelCaption" : "建立人",
      "name" : "createman",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD15"
      },
      "caption" : "属性15",
      "codeName" : "field15",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field15",
      "excelCaption" : "属性15",
      "name" : "field15",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD15",
        "codeName" : "FIELD15"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.DATE"
      },
      "caption" : "日期",
      "codeName" : "date",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "date",
      "excelCaption" : "日期",
      "name" : "date",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "DATE",
        "codeName" : "Date"
      },
      "valueFormat" : "YYYY-MM-DD",
      "width" : 600,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD9"
      },
      "caption" : "属性9",
      "codeName" : "field9",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field9",
      "excelCaption" : "属性9",
      "name" : "field9",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD9",
        "codeName" : "Field9"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD7"
      },
      "caption" : "属性7",
      "codeName" : "field7",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field7",
      "excelCaption" : "属性7",
      "name" : "field7",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD7",
        "codeName" : "Field7"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.NUMBER1"
      },
      "caption" : "数值1",
      "codeName" : "number1",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "number1",
      "excelCaption" : "数值1",
      "name" : "number1",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "NUMBER1",
        "codeName" : "Number1"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.NUMBER4"
      },
      "caption" : "数值4",
      "codeName" : "number4",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "number4",
      "excelCaption" : "数值4",
      "name" : "number4",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "NUMBER4",
        "codeName" : "Number4"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD3"
      },
      "caption" : "属性3",
      "codeName" : "field3",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field3",
      "excelCaption" : "属性3",
      "name" : "field3",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__SongLanguage.json"
      },
      "getPSAppDEField" : {
        "name" : "FIELD3",
        "codeName" : "Field3"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD17"
      },
      "caption" : "属性17",
      "codeName" : "field17",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field17",
      "excelCaption" : "属性17",
      "name" : "field17",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD17",
        "codeName" : "FIELD17"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD19"
      },
      "caption" : "属性19",
      "codeName" : "field19",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field19",
      "excelCaption" : "属性19",
      "name" : "field19",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD19",
        "codeName" : "FIELD19"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.TYPE"
      },
      "caption" : "类型",
      "codeName" : "type",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "type",
      "excelCaption" : "类型",
      "name" : "type",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__TestType.json"
      },
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.TEST.FIELD2"
      },
      "caption" : "属性2",
      "codeName" : "field2",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field2",
      "excelCaption" : "属性2",
      "name" : "field2",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD2",
        "codeName" : "Field2"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD5"
      },
      "caption" : "属性5",
      "codeName" : "field5",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field5",
      "excelCaption" : "属性5",
      "name" : "field5",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD5",
        "codeName" : "Field5"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD14"
      },
      "caption" : "属性14",
      "codeName" : "field14",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field14",
      "excelCaption" : "属性14",
      "name" : "field14",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__SongLanguage.json"
      },
      "getPSAppDEField" : {
        "name" : "FIELD14",
        "codeName" : "FIELD14"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.TIME"
      },
      "caption" : "时间",
      "codeName" : "time",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "time",
      "excelCaption" : "时间",
      "name" : "time",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "TIME",
        "codeName" : "Time"
      },
      "valueFormat" : "HH:mm:ss",
      "width" : 600,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.NUMBER3"
      },
      "caption" : "数值3",
      "codeName" : "number3",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "number3",
      "excelCaption" : "数值3",
      "getLinkPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTListView.json",
        "viewType" : "DELISTVIEW"
      },
      "linkValueItem" : "number3",
      "name" : "number3",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "NUMBER3",
        "codeName" : "Number3"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableLinkView" : true,
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD22"
      },
      "caption" : "属性22",
      "codeName" : "field22",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field22",
      "excelCaption" : "属性22",
      "name" : "field22",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__SongLanguage.json"
      },
      "getPSAppDEField" : {
        "name" : "FIELD22",
        "codeName" : "FIELD22"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD6"
      },
      "caption" : "属性6",
      "codeName" : "field6",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field6",
      "excelCaption" : "属性6",
      "name" : "field6",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD6",
        "codeName" : "Field6"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "testname",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "dataType" : 25,
      "name" : "updateman",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "updatedate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "format" : "#.##",
      "dataType" : 6,
      "name" : "amount",
      "getPSAppDEField" : {
        "name" : "AMOUNT",
        "codeName" : "Amount"
      }
    }, {
      "dataType" : 25,
      "name" : "field8",
      "getPSAppDEField" : {
        "name" : "FIELD8",
        "codeName" : "Field8"
      }
    }, {
      "dataType" : 25,
      "name" : "special",
      "getPSAppDEField" : {
        "name" : "SPECIAL",
        "codeName" : "Particular"
      }
    }, {
      "dataType" : 25,
      "name" : "field11",
      "getPSAppDEField" : {
        "name" : "FIELD11",
        "codeName" : "Field11"
      }
    }, {
      "dataType" : 25,
      "name" : "field16",
      "getPSAppDEField" : {
        "name" : "FIELD16",
        "codeName" : "FIELD16"
      }
    }, {
      "dataType" : 25,
      "name" : "field18",
      "getPSAppDEField" : {
        "name" : "FIELD18",
        "codeName" : "FIELD18"
      }
    }, {
      "dataType" : 25,
      "name" : "field23",
      "getPSAppDEField" : {
        "name" : "FIELD23",
        "codeName" : "FIELD23"
      }
    }, {
      "dataType" : 25,
      "name" : "field",
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      }
    }, {
      "dataType" : 9,
      "name" : "enable",
      "getPSAppDEField" : {
        "name" : "ENABLE",
        "codeName" : "Enable"
      }
    }, {
      "dataType" : 7,
      "name" : "float",
      "getPSAppDEField" : {
        "name" : "FLOAT",
        "codeName" : "Float"
      }
    }, {
      "dataType" : 25,
      "name" : "field21",
      "getPSAppDEField" : {
        "name" : "FIELD21",
        "codeName" : "FIELD21"
      }
    }, {
      "dataType" : 25,
      "name" : "field12",
      "getPSAppDEField" : {
        "name" : "FIELD12",
        "codeName" : "Field12"
      }
    }, {
      "dataType" : 25,
      "name" : "field24",
      "getPSAppDEField" : {
        "name" : "FIELD24",
        "codeName" : "FIELD24"
      }
    }, {
      "dataType" : 25,
      "name" : "field13",
      "getPSAppDEField" : {
        "name" : "FIELD13",
        "codeName" : "FIELD13"
      }
    }, {
      "dataType" : 9,
      "name" : "order",
      "getPSAppDEField" : {
        "name" : "ORDER",
        "codeName" : "Order"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "createdate",
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "dataType" : 25,
      "name" : "testid",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    }, {
      "dataType" : 9,
      "name" : "number2",
      "getPSAppDEField" : {
        "name" : "NUMBER2",
        "codeName" : "Number2"
      }
    }, {
      "dataType" : 25,
      "name" : "field4",
      "getPSAppDEField" : {
        "name" : "FIELD4",
        "codeName" : "Field4"
      }
    }, {
      "dataType" : 25,
      "name" : "field20",
      "getPSAppDEField" : {
        "name" : "FIELD20",
        "codeName" : "FIELD20"
      }
    }, {
      "dataType" : 25,
      "name" : "field10",
      "getPSAppDEField" : {
        "name" : "FIELD10",
        "codeName" : "Field10"
      }
    }, {
      "dataType" : 25,
      "name" : "createman",
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      }
    }, {
      "dataType" : 25,
      "name" : "field15",
      "getPSAppDEField" : {
        "name" : "FIELD15",
        "codeName" : "FIELD15"
      }
    }, {
      "format" : "YYYY-MM-DD",
      "dataType" : 5,
      "name" : "date",
      "getPSAppDEField" : {
        "name" : "DATE",
        "codeName" : "Date"
      }
    }, {
      "dataType" : 25,
      "name" : "field9",
      "getPSAppDEField" : {
        "name" : "FIELD9",
        "codeName" : "Field9"
      }
    }, {
      "dataType" : 25,
      "name" : "field7",
      "getPSAppDEField" : {
        "name" : "FIELD7",
        "codeName" : "Field7"
      }
    }, {
      "dataType" : 25,
      "name" : "number1",
      "getPSAppDEField" : {
        "name" : "NUMBER1",
        "codeName" : "Number1"
      }
    }, {
      "dataType" : 25,
      "name" : "number4",
      "getPSAppDEField" : {
        "name" : "NUMBER4",
        "codeName" : "Number4"
      }
    }, {
      "dataType" : 25,
      "name" : "field3",
      "getPSAppDEField" : {
        "name" : "FIELD3",
        "codeName" : "Field3"
      }
    }, {
      "dataType" : 25,
      "name" : "field17",
      "getPSAppDEField" : {
        "name" : "FIELD17",
        "codeName" : "FIELD17"
      }
    }, {
      "dataType" : 25,
      "name" : "field19",
      "getPSAppDEField" : {
        "name" : "FIELD19",
        "codeName" : "FIELD19"
      }
    }, {
      "dataType" : 25,
      "name" : "type",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      }
    }, {
      "dataType" : 25,
      "name" : "field2",
      "getPSAppDEField" : {
        "name" : "FIELD2",
        "codeName" : "Field2"
      }
    }, {
      "dataType" : 25,
      "name" : "field5",
      "getPSAppDEField" : {
        "name" : "FIELD5",
        "codeName" : "Field5"
      }
    }, {
      "dataType" : 25,
      "name" : "field14",
      "getPSAppDEField" : {
        "name" : "FIELD14",
        "codeName" : "FIELD14"
      }
    }, {
      "format" : "HH:mm:ss",
      "dataType" : 5,
      "name" : "time",
      "getPSAppDEField" : {
        "name" : "TIME",
        "codeName" : "Time"
      }
    }, {
      "dataType" : 25,
      "name" : "number3",
      "getPSAppDEField" : {
        "name" : "NUMBER3",
        "codeName" : "Number3"
      }
    }, {
      "dataType" : 25,
      "name" : "field22",
      "getPSAppDEField" : {
        "name" : "FIELD22",
        "codeName" : "FIELD22"
      }
    }, {
      "dataType" : 25,
      "name" : "field6",
      "getPSAppDEField" : {
        "name" : "FIELD6",
        "codeName" : "Field6"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "日期",
      "codeName" : "date",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "date",
      "getPSAppDEField" : {
        "name" : "DATE",
        "codeName" : "Date"
      },
      "getPSEditor" : {
        "editorType" : "DATERANGE",
        "name" : "date"
      },
      "allowEmpty" : true
    }, {
      "caption" : "数值1",
      "codeName" : "number1",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "number1",
      "getPSAppDEField" : {
        "name" : "NUMBER1",
        "codeName" : "Number1"
      },
      "getPSEditor" : {
        "editorType" : "RATING",
        "maxValue" : 5.0,
        "minValue" : 0.0,
        "name" : "number1",
        "stepValue" : 1.0
      },
      "allowEmpty" : true
    }, {
      "caption" : "数值4",
      "codeName" : "number4",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "number4",
      "getPSAppDEField" : {
        "name" : "NUMBER4",
        "codeName" : "Number4"
      },
      "getPSEditor" : {
        "editorType" : "SLIDER",
        "name" : "number4",
        "stepValue" : 1.0
      },
      "allowEmpty" : true
    }, {
      "caption" : "属性3",
      "codeName" : "field3",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "field3",
      "getPSAppDEField" : {
        "name" : "FIELD3",
        "codeName" : "Field3"
      },
      "getPSEditor" : {
        "editorType" : "RADIOBUTTONLIST",
        "name" : "field3",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__SongLanguage.json"
        }
      },
      "allowEmpty" : true,
      "needCodeListConfig" : true
    }, {
      "caption" : "属性2",
      "codeName" : "field2",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "field2",
      "getPSAppDEField" : {
        "name" : "FIELD2",
        "codeName" : "Field2"
      },
      "getPSEditor" : {
        "editorType" : "PICTURE",
        "maxFileCount" : -1,
        "maxFileSize" : -1,
        "minFileCount" : 0,
        "name" : "field2"
      },
      "allowEmpty" : true
    }, {
      "caption" : "属性5",
      "codeName" : "field5",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "field5",
      "getPSAppDEField" : {
        "name" : "FIELD5",
        "codeName" : "Field5"
      },
      "getPSEditor" : {
        "editorParams" : {
          "FILEEXTS" : "",
          "MAXFILESIZE" : "",
          "MINFILECNT" : "",
          "MAXFILECNT" : ""
        },
        "editorType" : "FILEUPLOADER",
        "maxFileCount" : -1,
        "maxFileSize" : -1,
        "minFileCount" : 0,
        "name" : "field5"
      },
      "allowEmpty" : true
    }, {
      "caption" : "属性14",
      "codeName" : "field14",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "field14",
      "getPSAppDEField" : {
        "name" : "FIELD14",
        "codeName" : "FIELD14"
      },
      "getPSEditor" : {
        "editorType" : "LISTBOX",
        "name" : "field14",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__SongLanguage.json"
        }
      },
      "allowEmpty" : true,
      "needCodeListConfig" : true
    }, {
      "caption" : "时间",
      "codeName" : "time",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "time",
      "getPSAppDEField" : {
        "name" : "TIME",
        "codeName" : "Time"
      },
      "getPSEditor" : {
        "editorType" : "NUMBERRANGE",
        "name" : "time"
      },
      "allowEmpty" : true
    }, {
      "caption" : "数值3",
      "codeName" : "number3",
      "createDV" : "test5555",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "number3",
      "getPSAppDEField" : {
        "name" : "NUMBER3",
        "codeName" : "Number3"
      },
      "getPSEditor" : {
        "editorParams" : {
          "LINKVIEW" : "TRUE",
          "AC" : "TRUE",
          "TRIGGER" : "FALSE",
          "PICKUPVIEW" : "TRUE"
        },
        "editorType" : "PICKEREX_LINK",
        "handlerType" : "PickupText",
        "getLinkPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTListView.json",
          "viewType" : "DELISTVIEW"
        },
        "name" : "number3",
        "enableAC" : true,
        "enableLinkView" : true,
        "enablePickupView" : true,
        "forceSelection" : true,
        "showTrigger" : false,
        "singleSelect" : true
      },
      "allowEmpty" : true
    }, {
      "caption" : "属性22",
      "codeName" : "field22",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "field22",
      "getPSAppDEField" : {
        "name" : "FIELD22",
        "codeName" : "FIELD22"
      },
      "getPSEditor" : {
        "editorType" : "CHECKBOXLIST",
        "name" : "field22",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__SongLanguage.json"
        }
      },
      "allowEmpty" : true,
      "needCodeListConfig" : true
    }, {
      "caption" : "属性6",
      "codeName" : "field6",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "field6",
      "getPSAppDEField" : {
        "name" : "FIELD6",
        "codeName" : "Field6"
      },
      "getPSEditor" : {
        "editorType" : "CHECKBOX",
        "name" : "field6"
      },
      "allowEmpty" : true
    }, {
      "caption" : "测试实体标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "allowEmpty" : true
    } ],
    "pagingMode" : 1,
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "sortMode" : "REMOTE",
    "getUpdatePSControlAction" : {
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : true,
    "enableRowEditChangedOnly" : true,
    "enableRowEditOrder" : true,
    "enableRowNew" : false,
    "forceFit" : false,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "EF05B35D-A466-4AE9-90DB-564BFC9252C8",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "Usr06136528GridView_SearchForm",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHFORMS/Usr06136528GridView_SearchForm.json",
    "logicName" : "测试focus_搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "0F497B85-D945-422F-9C42-3331E78F0164",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "DE.LNAME.TEST"
    },
    "caption" : "测试focus",
    "codeName" : "Usr06136528GridViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr06136528GridView",
  "getPSDEViewId" : "1F2F8A57-23C6-402D-8FC0-19012F916E9D",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGRIDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "refFlag" : false,
  "title" : "测试focus",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDVIEW",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : true,
  "enableImport" : true,
  "enableQuickSearch" : true,
  "enableRowEdit" : true,
  "enableSearch" : true,
  "rowEditDefault" : false,
  "modelid" : "4966e86243e39916477e637a7ae8003d",
  "modeltype" : "PSAPPDEVIEW"
}